import request from '@/utils/request'
// 车道列表-下拉框
export function getLaneList(params) {
  return request({
    url: '/inout/query/getLaneList',
    method: 'GET',
    params
  })
}
// 查询入场流水记录
export function parkInRecord(params) {
  return request({
    url: '/inout/query/parkInRecord',
    method: 'get',
    params,
    projectNo: true
  })
}
// 导出入场流水记录
export function exportParkInRecord(params) {
  return request({
    url: '/inout/query/export/parkInRecord',
    method: 'get',
    params,
    projectNo: true
  })
}
// 查询出场流水记录
export function parkOutRecord(params) {
  return request({
    url: '/inout/query/parkOutRecord',
    method: 'get',
    params,
    projectNo: true
  })
}
// 导出出场流水记录
export function exportParkOutRecord(params) {
  return request({
    url: '/inout/query/export/parkOutRecord',
    method: 'get',
    params,
    projectNo: true
  })
}
// 查询已完成记录
export function parkFinishOrder(params) {
  return request({
    url: '/inout/query/parkFinishOrder',
    method: 'get',
    params,
    projectNo: true
  })
}
// 导出已完成记录
export function exportParkFinishOrder(params) {
  return request({
    url: '/inout/query/export/parkFinishOrder',
    method: 'get',
    params,
    projectNo: true
  })
}
// 查询场内车记录
export function parkIn(params) {
  return request({
    url: '/inout/query/parkIn',
    method: 'get',
    params,
    projectNo: true
  })
}
// 导出场内车记录
export function exportParkIn(params) {
  return request({
    url: '/inout/query/export/parkIn',
    method: 'get',
    params,
    projectNo: true
  })
}
// 查询临停支付订单
export function carFeeOrder(params) {
  return request({
    url: '/inout/query/carFeeOrder',
    method: 'get',
    params,
    projectNo: true
  })
}
// 导出临停支付订单
export function exportCarFeeOrder(params) {
  return request({
    url: '/inout/query/export/carFeeOrder',
    method: 'get',
    params,
    projectNo: true
  })
}
